#version 330 core

layout(location=0) out vec4 vFragColor;	//wyjście shadera fragmentów

//kolor wejściowy 
smooth in vec4 color;

void main() { 
	//wyznaczanie przesuniętych współrzędnych cząstki
	vec2 pos = gl_PointCoord-0.5;
	//odrzucanie fragmentów spoza zadanego promienia
	if(dot(pos,pos)>0.25) 
		discard;
	else
		//dla pozostałych fragmentów zwracanie pobranego koloru
		vFragColor = color;  
}